EDIT - feature request #9548

Handle links to websites, webapps or similar in image galleries (simple and UV)
03/24/2021 11:03 AM - Andreas Mdller

Status: New Start date:

Priority: New Due date:

Assignee: Andreas Kohlbecker % Done: 0%
Category: cdm-dataportal Estimated time: 0:00 hour
Target version: Release 5.45

Severity: normal

Description

Sometimes users use links to websites within an image gallery. These usually are identified by mime type "text/html",
"application/xhtml+xml", or similar. If this mime type is detected these links should not be treated as image.

The example here shows a way to handle these external media items:
http://universalviewer.io/examples/?manifest=http://wellcomelibrary.org/iiif/b17502792/manifest#?c=&m=8&s=&cv=&manifest=https %3
A%2F%2F edsilv.github.io%2Ftest-manifests%2Fdefaultextension.json --> see #9712

Handling of webapp URIs already works in the simple image gallery, see #8028 for details on open issues with this viewer.

Related issues:

Related to EDIT - feature request #9067: [DISCUSS] Allow media to support ext... Closed
Related to EDIT - feature request #9547: Show warning in TaxEditor if a Media... New
Related to EDIT - bug #6686: Correct handling for chromatograms in dataportal New
Related to EDIT - feature request #9712: Handling non image media in IlIF man... New
Related to EDIT - feature request #8028: Better representation of web app med... Closed
Related to EDIT - task #2452: Media entities and Webpages Duplicate
Related to EDIT - feature request #3630: Taxeditor should add mimetype of med... New
History

#1 - 03/24/2021 11:03 AM - Andreas Miiller
- Related to feature request #9067: [DISCUSS] Allow media to support external links not being files added

#2 - 03/24/2021 11:03 AM - Andreas Miiller

- Related to feature request #9547: Show warning in TaxEditor if a MediaRepresentation can not be shown in a Viewer added

#3 - 07/09/2021 10:44 AM - Andreas Miiller

- Target version changed from Release 5.25 to Release 5.45

#4 - 07/15/2021 05:42 PM - Andreas Kohlbecker
- Related to bug #6686: Correct handling for chromatograms in dataportal added

#5 - 07/15/2021 05:45 PM - Andreas Kohlbecker
- Tags changed from image-viewer to image-viewer, mexico
- File picture758-1.png added

- Subject changed from Handle links to websites or similar explicitly in image galleries to Handle links to websites, webapps or similar in image
galleries (simple and UV)

- Description updated

#6 - 07/15/2021 05:46 PM - Andreas Kohlbecker

- Description updated

#7 - 07/15/2021 06:11 PM - Andreas Kohlbecker

- Related to feature request #9712: Handling non image media in IlIF manifests added
http://universalviewer.io/examples/?manifest=http://wellcomelibrary.org/iiif/b17502792/manifest#?c=&m=&s=&cv=&manifest=https%3A%2F%2Fedsilv.github.io%2Ftest-manifests%2Fdefaultextension.json
http://universalviewer.io/examples/?manifest=http://wellcomelibrary.org/iiif/b17502792/manifest#?c=&m=&s=&cv=&manifest=https%3A%2F%2Fedsilv.github.io%2Ftest-manifests%2Fdefaultextension.json
https://dev.e-taxonomy.eu/redmine/issues/9712
https://dev.e-taxonomy.eu/redmine/issues/8028

#8 - 07/15/2021 06:11 PM - Andreas Kohlbecker
- Description updated

#9 - 07/20/2021 12:59 PM - Andreas Kohlbecker

- Related to feature request #8028: Better representation of web app media in the image gallery added

#10 - 07/22/2021 01:54 PM - Andreas Kohlbecker
- Description updated

moving details on simple image gallery to #8028

#11 - 07/22/2021 01:55 PM - Andreas Kohlbecker
- File deleted (picture758-1.png)

#12 - 09/21/2021 09:02 AM - Andreas Miiller
- Related to task #2452: Media entities and Webpages added

#13 - 09/21/2021 09:16 AM - Andreas Miiller

- Related to feature request #3630: Taxeditor should add mimetype of mediaRepresentations automatically added
